Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 207025 - app-text/enchant has an internal copy of hunspell
Summary: app-text/enchant has an internal copy of hunspell
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: GNOME Office (OBSOLETE)
URL: http://bugzilla.abisource.com/show_bu...
Whiteboard:
Keywords:
Depends on: 230971
Blocks:
  Show dependency tree
 
Reported: 2008-01-22 12:58 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2008-07-18 20:30 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
enchant-1.3.0-external-hunspell.patch (enchant-1.3.0-external-hunspell.patch,2.34 KB, patch)
2008-02-04 09:07 UTC, Diego Elio Pettenò (RETIRED)
Details | Diff
Ebuild patch (enchant-ebuild.patch,1.61 KB, patch)
2008-02-04 09:08 UTC, Diego Elio Pettenò (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-01-22 12:58:09 UTC
00000000000196c0 T Hunspell::cleanword2(char*, char const*, w_char*, int*, int*, int*)
00000000000186f0 T Hunspell::get_csconv()
000000000001c430 T Hunspell::insert_sug(char***, char*, int*)
0000000000018650 T Hunspell::mkallsmall(char*)
00000000000188f0 T Hunspell::mkinitcap2(char*, w_char*, int)
0000000000018710 T Hunspell::get_version()
0000000000019f20 T Hunspell::is_keepcase(hentry const*)
0000000000018980 T Hunspell::mkallsmall2(char*, w_char*, int)
000000000001ab80 T Hunspell::spellsharps(char*, char*, int, int, char*)
00000000000186c0 T Hunspell::get_prevroot()
0000000000018700 T Hunspell::get_utf_conv()
0000000000018860 T Hunspell::mkinitsmall2(char*, w_char*, int)
0000000000018670 T Hunspell::sharps_u8_l1(char*, char*)
000000000001a700 T Hunspell::suggest_auto(char***, char const*)
0000000000019970 T Hunspell::get_wordchars()
0000000000018790 T Hunspell::put_word_suffix(char const*, char const*)
00000000000186b0 T Hunspell::get_dic_encoding()
00000000000186d0 T Hunspell::get_prevcompound()
0000000000018720 T Hunspell::put_word_pattern(char const*, char const*)
0000000000019980 T Hunspell::suggest_pos_stems(char***, char const*)
0000000000019960 T Hunspell::get_wordchars_utf16(int*)
0000000000018ef0 T Hunspell::morph_with_correction(char const*)

And obviously more (the whole library).
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-02-04 09:07:29 UTC
Created attachment 142638 [details, diff]
enchant-1.3.0-external-hunspell.patch
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-02-04 09:08:02 UTC
Created attachment 142640 [details, diff]
Ebuild patch
Comment 3 Serkan Kaba (RETIRED) gentoo-dev 2008-07-18 20:30:19 UTC
Fixed in 1.4.2